Subject: Re: bug#55877: 29.0.50; list-directory doesn't allow globbing interactively

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 11 Jun 2022 13:02:03 +0200

chad <[email-masked]> writes:

> I thought I saw an error here when list-directory with a directory (not file) glob (ex: ~
> /Project/emacs/*/) is followed by another list-directory, but I think the actual issue is
> that the default directory in the first case is set to something that doesn't exist, which
> messes up call-process in the second invocation of list-directory. The error I saw was:
>
>  Debugger entered--Lisp error: (file-missing "Setting current directory" "No such
>  file or directory" "/home/chadpbrown/Project/emacs/*/")
>    call-process("ls" nil t nil "-CF" "--" "/home/chadpbrown/Project/emacs/src/")
>    insert-directory("/home/chadpbrown/Project/emacs/src/" "-CF" nil t)
>    list-directory("~/Project/emacs/src/" nil)
>    funcall-interactively(list-directory "~/Project/emacs/src/" nil)
>    call-interactively(list-directory nil nil)
>    command-execute(list-directory)

I'm unable to reproduce this -- if I say `C-x C-d /tmp/*/ RET' it works
fine for me...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no